Update User
PATCH /users/{user_id}Parameters
Section titled “Parameters”| Name | In | Type | Notes | |
|---|---|---|---|---|
user_id | path | string (uuid) | required | — |
Request body — UserPatch
Section titled “Request body — UserPatch”| Field | Type | Notes | |
|---|---|---|---|
full_name | string | null | optional | — |
role | viewer | member | admin | owner | operator | null | optional | — |
is_active | boolean | null | optional | — |
password | string | null | optional | min length 12 max length 256 |
Responses
Section titled “Responses”| Status | Description | Body |
|---|---|---|
200 | Successful Response | UserView |
422 | Validation Error | HTTPValidationError |
Example
Section titled “Example”curl -X PATCH https://your-deployment.example.com/users/{user_id} \ -H "Authorization: Bearer $COBRE_TOKEN"Response — UserView
Section titled “Response — UserView”| Field | Type | Notes | |
|---|---|---|---|
id | string (uuid) | required | — |
email | string | required | — |
full_name | string | null | optional | — |
role | viewer | member | admin | owner | operator | required | — |
scope | workspace | organization | platform | required | — |
organization_id | string (uuid) | null | optional | — |
workspace_id | string (uuid) | null | optional | — |
is_active | boolean | required | — |
mfa_enabled | boolean | required | — |
last_login_at | string (date-time) | null | optional | — |
created_at | string (date-time) | required | — |
updated_at | string (date-time) | required | — |